curl "https://api.scanova.io/qr-assets/template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
]
}
أصول QR
سرد قوالب تصميم رموز QR
GET /qr-assets/template/
GET
/
qr-assets
/
template
/
curl "https://api.scanova.io/qr-assets/template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
]
}
يسرد قوالب تصميم QR المحفوظة الخاصة بالحساب، على مضيف Management API (
يُصفّي
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/qr-assets/template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
يتطلب حصة الخطة
SAVE_DESIGN_TEMPLATE — راجع نظرة عامة على Management API. يميّز template_type بين قالب "P" (ملصق) وقالب "N" (عادي).curl "https://api.scanova.io/qr-assets/template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
]
}
?template_type=P أو ?template_type=N حسب النوع. النطاق: قوالب هذا الحساب فقط.
ذات صلة
- إنشاء قالب تصميم رمز QR — حفظ قالب جديد.
- تحديث قالب تصميم رمز QR — تعديل قالب موجود.
- حذف قالب تصميم رمز QR — حذف قالب.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Paginated list of templates.
هل كانت هذه الصفحة مفيدة؟